﻿using System;
using System.Collections.Generic;
using HeuristicLab.Encodings.PermutationEncoding;

namespace HeuristicLab.Analysis.FitnessLandscape {
  public static class PermutationPathAnalysis {
    public static CurveAnalysisResult GetCharacteristics(List<List<Tuple<Permutation, double>>> trajectories) {
      return CurveAnalysis<Permutation>.GetCharacteristics(trajectories, Dist);
    }

    private static double Dist(Permutation a, Permutation b) {
      var dist = 0;
      for (var i = 0; i < a.Length; i++)
        if (a[i] != b[i]) dist++;
      return dist;
    }
  }
}
